clang-tools 8.0.0

Namespaces | Functions
Dexp.cpp File Reference
`#include "SourceCode.h"`
`#include "index/Serialization.h"`
`#include "index/dex/Dex.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/ADT/StringSwitch.h"`
`#include "llvm/LineEditor/LineEditor.h"`
`#include "llvm/Support/CommandLine.h"`
`#include "llvm/Support/Signals.h"`
Include dependency graph for Dexp.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
int | main (int argc, const char *argv[])

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | const char * | argv[]
| ) |  |

Definition at line 276 of file Dexp.cpp.

References Index.

## Variable Documentation

## ◆ Description

const char* Description

Definition at line 258 of file Dexp.cpp.

Referenced by clang::tidy::readability::SimplifyBooleanExprCheck::check(), and clang::tidy::ClangTidyCheck::check().

## ◆ Implementation

std::function<std::unique_ptr<Command>)> Implementation

Definition at line 259 of file Dexp.cpp.

## ◆ Index

const SymbolIndex* Index
| protected

Definition at line 85 of file Dexp.cpp.

Referenced by clang::tidy::performance::UnnecessaryValueParamCheck::check(), clang::tidy::cppcoreguidelines::ProBoundsConstantArrayIndexCheck::check(), Modularize::ModularizeUtilities::collectModuleHeaders(), clang::clangd::ClangdServer::dynamicIndex(), ensureNoCollisionWithReservedName(), clang::clangd::CodeCompleteOptions::getClangCompleteOpts(), clang::tidy::misc::UnusedParametersCheck::IndexerVisitor::getFnCalls(), clang::tidy::misc::UnusedParametersCheck::IndexerVisitor::getOtherRefs(), Modularize::ModularizeUtilities::loadSingleHeaderListsAndDependencies(), main(), clang::tidy::readability::NonConstParameterCheck::onEndOfTranslationUnit(), clang::tidy::misc::UnusedParametersCheck::IndexerVisitor::WalkUpFromCallExpr(), and clang::tidy::misc::UnusedParametersCheck::IndexerVisitor::WalkUpFromDeclRefExpr().